Create a custom action. Send the fields of the new row in JSON. The name is required. You must be an administrator.
POST
/data/custom-actions
curl
curl -X POST "http://api.example.com/data/custom-actions/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}"
}'
import requests
url = "http://api.example.com/data/custom-actions/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Custom Action Name",
"url": "https://example.com/hook",
"entity_type": "all",
"is_ajax": false
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Custom Action Name",
"url": "https://example.com/hook",
"entity_type": "all",
"is_ajax": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}